<?
//
//
require_once($_SERVER['DOCUMENT_ROOT']."/jquery/inc/system.php"); 
//
//
if(!$user){
header('location:/login/');
exit();
}
//
//
head([]);
//
//
$pr = array('','Обычный','Редкий','Эпический');
//
//
$id = num($_GET['id']);
		$users = DB::$dbs->queryFetch('SELECT * FROM `users` WHERE `id` = ? LIMIT 1', [$id]);
		if(empty($users['id'])): header('location: /profile/'.$user['id']); exit; endif;
//
//
echo logs();
//
//
if($users['time'] > time()-1200)$online = '<font color="#32cd32">Онлайн</font>';
else $online = '<font color="tomato">Оффлайн</font>';
//
//
if(isset($_GET['stat'])){
?>
<div class="start">
<div class="menu-not2">
<center>Статистика игрока <b><?=$users['name'];?></b></center>
<div class="stats2"></div>
<font color="#999999">Имя:</font> <?=$users['name'];?><br>
<font color="#999999">Уровень:</font> <?=$users['level'];?><br>
<font color="#999999">Получено опыта:</font> <?=$users['stat_exp'];?><br>
<font color="#999999">Получено серебра:</font> <?=$users['stat_silver'];?><br>
<font color="#999999">Отравил(а):</font> <?=$users['stat_yad'];?><br>
<font color="#999999">Отравлен(а):</font> <?=$users['stat_yad2'];?><br>
<font color="#999999">Использовано свитков:</font> <?=$users['stat_swit'];?><br>
<font color="#999999">Использовано отваров:</font> <?=$users['stat_otvar'];?><br>
<font color="#999999">Побед:</font> <?=$users['stat_win'];?><br>
<font color="#999999">Поражений:</font> <?=$users['stat_lose'];?><br>
<font color="#999999">Выполнено заданий:</font> <?=$users['stat_task'];?><br>
<font color="#999999">Выполнено достижений:</font> <?=$users['stat_task2'];?><br>
<font color="#999999">Собрано коллекций:</font> <?=$users['stat_collection'];?><br>
<font color="#999999">ID игрока:</font> <?=$users['id'];?><br>
<font color="#999999">Дата регистрации:</font> <?=times($users['time_reg']);?><br>
<font color="#999999">Статус:</font> <?=$online;?><br>
<div class="stats2"></div>
<center><a href="?">Вернуться назад</a></center>
</div></div>
<?
foot([]);
exit();
}
//
//
if(isset($_GET['my_ban']) && $users['ban_time'] > time()){
?>
<div class="start">
<div class="menu-not2">
<center>Бан игрока <b><?=$users['name'];?></b></center>
<div class="stats2"></div>
<font color="#999999">Тип бана:</font> <?=$ban_type[$users['ban_type']];?><br>
<font color="#999999">Причина:</font> <?=$ban_cause[$users['ban_cause']];?><br>
<font color="#999999">Осталось:</font> <?=timer($users['ban_time']);?><br>
<font color="#999999">Забанил:</font> <?=user_info($users['ban_admin']);?><br>
<div class="stats2"></div>
<center><a href="?">Вернуться назад</a></center>
</div></div>
<?
foot([]);
exit();
}
//
//
if(isset($_GET['end_ban']) && $user['adm'] >= 2){
DB::$dbs->query('UPDATE `users` SET `ban_time` = ? WHERE `id` = ? LIMIT 1', array(0,$users['id']));
ok2("Бан снят");
header('location:?');
exit();
}
//
//
if(isset($_GET['yad']) && $users['id'] != $user['id']){
//
//
if($users['yad_reset'] > time()){
err2("Отравить игрока можно через - ".timer($users['yad_reset'])."");
header('location:?');
exit();
}
//
//
if($user['gold'] <= 4){
err2("У вас недостаточно золота для отравления");
header('location:?');
exit();
}
//
//
$text = '[color=tomato]Неизвестный отравил вас, параметры снижены[/color]';
DB::$dbs->query('INSERT INTO `notification` SET `text` = ?,`time` = ?,`id_user` = ?',array($text,time(),$users['id']));
DB::$dbs->query('UPDATE `users` SET `notif` = ?, `yad` = ?, `yad_reset` = ?, `stat_yad2` = `stat_yad2` + ? WHERE `id` = ? LIMIT 1', array(1,time()+600,time()+3600,1,$users['id']));
DB::$dbs->query('UPDATE `users` SET `gold` = `gold` - ?, `stat_yad` = `stat_yad` + ? WHERE `id` = ? LIMIT 1', array(5,1,$user['id']));
//
//
DB::$dbs->query("UPDATE `titul_user` SET `coll` = `coll` + ? WHERE `id_titul` = ? AND `id_user` = ? LIMIT 1", array(1,5,$user['id']));
//
//
ok2("".$users['name']." отравлен");
header('location:?');
exit();
}
//
//
if(isset($_GET['yad_not']) && $users['id'] != $user['id']){
//
//
if($users['yad'] < time()){
err2("Игрок полностью здоров");
header('location:?');
exit();
}
//
//
if($user['gold'] <= 4){
err2("У вас недостаточно золота для отравления");
header('location:?');
exit();
}
//
//
$text = '[img='.$sites.'/css/img/gender_'.$user['gender'].'.png]16[/img] '.$user['name'].' [color=#32cd32]вылечил(а) вас, параметры восстановленны[/color]';
DB::$dbs->query('INSERT INTO `notification` SET `text` = ?, `time` = ?, `id_user` = ?',array($text,time(),$users['id']));
DB::$dbs->query('UPDATE `users` SET `notif` = ?, `yad` = ? WHERE `id` = ? LIMIT 1', array(1,0,$users['id']));
DB::$dbs->query('UPDATE `users` SET `gold` = `gold` - ? WHERE `id` = ? LIMIT 1', array(5,$user['id']));
ok2("".$users['name']." вылечен");
header('location:?');
exit();
}
//
//
if(mb_strlen($users['status'], 'UTF-8') <= 1)$status = 'Играю в свое удовольствие!'; else $status = $users['status'];
if(mb_strlen($users['titul'], 'UTF-8') <= 1)$titul = 'Без титула'; else $titul = $users['titul'];
//
//
$count_bag = DB::$dbs->query("SELECT (id) FROM `inv` WHERE `yes` = '0' AND `id_user` = '".$user['id']."'")->rowCount(); 
$count_item = DB::$dbs->query("SELECT (id) FROM `inv` WHERE `yes` = '1' AND `id_user` = '".$users['id']."'")->rowCount();  
$count_medal = DB::$dbs->query("SELECT (id) FROM `medal` WHERE `id` > '0'")->rowCount(); 
$count_medal_yes = DB::$dbs->query("SELECT (id) FROM `medal_user` WHERE `check` = '1' AND `id_user` = '".$users['id']."'")->rowCount(); 
//
//
?>

<div class="poster -gas"><span class="title-wqi"><?=$users['name'];?>, <?=$users['level'];?> ур<br><a href="/titul_user/"><small><font color="#999999"><?=$titul;?></font></small></a></span>
	<div class="block">
	
<div class="left-inv">
<?
for($i = 1;$i < 5;$i++){ 
$it = DB::$dbs->queryFetch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `yes` = ? ", array($users['id'],$i,"1"));
if($it == false){ 
//
?>
<div class="inv"><img src="/css/img/bog.png" width="50" height="50" class="bog"></div>
<?
//
}else{ 
?>
<div class="inv"><img src="/css/img/items/<?=$it['set'];?>/<?=$it['type'];?>.png" width="" height="">
<span class="st-l">
<?
if($it['smitch'] >= 3){
?>
<img src="/css/img/star.png" class="sas">
<?
}
?>
<?
if($it['smitch'] >= 6){
?>
<img src="/css/img/star.png" class="sas">
<?
}
?>
<?
if($it['smitch'] >= 9){
?>
<img src="/css/img/star.png" class="sas">
<?
}
?>
</span>
</div>
<?
} 
}
?>
</div>

<div class="user-av"><img src="/css/img/user_<?=$users['gender'];?>.png" class="us-av"></div>

<div class="right-inv">
<?
for($i = 5;$i < 9;$i++){ 
$it = DB::$dbs->queryFetch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `yes` = ? ", array($users['id'],$i,"1"));
if($it == false){ 
//
?>
<div class="inv"><img src="/css/img/bog.png" width="50" height="50" class="bog"></div>
<?
//
}else{ 
?>
<div class="inv"><img src="/css/img/items/<?=$it['set'];?>/<?=$it['type'];?>.png" class="bog" width="" height="">
<span class="st-r">
<?
if($it['smitch'] >= 3){
?>
<img src="/css/img/star.png" class="sas">
<?
}
?>
<?
if($it['smitch'] >= 6){
?>
<img src="/css/img/star.png" class="sas">
<?
}
?>
<?
if($it['smitch'] >= 9){
?>
<img src="/css/img/star.png" class="sas">
<?
}
?>
</span>
</div>
<?
} 
}
?>
</div>

</div>
<div class="stats">
		<div class="block"><div class="p1p"><img src="/css/img/icon_str.png"> Сила: <?=power($users['id']);?></br>
	<img src="/css/img/icon_def.png"> Защита: <?=def($users['id']);?></div><div class="p1p">
<img src="/css/img/icon_hp.png"> Здоровье: <?=hp($users['id']);?></br>
<img src="/css/img/exp.png"> <a href="?stat"><u>Статистика игрока</u></a></div></div></div>

<div class="start">

<?

    //
    //
                    $coll = DB::$dbs->querySingle('SELECT COUNT(id) FROM `gift` WHERE `id_ank` = "'.$users['id'].'"');
    $sql = DB::$dbs->query("SELECT `id`,`id_user`,`id_ank`,`text`,`id_gift` FROM `gift` WHERE `id_ank` = '".$users['id']."' ORDER BY `time` DESC LIMIT 6")->fetchAll(PDO::FETCH_BOTH);


			foreach ($sql as $sqlls => $im): ?>
<a href="/gift/?id=<?=$users['id'];?>">
<img src="/css/img/gift/<?=$im['id_gift'];?>.png" class="" width="50" height="50">
</a>
<?
//
//
endforeach;
    //
    //

				if($coll >= 1){
		?>
<div class="stats2"></div>
		<?
		}
?>

<div class="menu-not2">
<font color="#777777">
<img src="/css/img/status.png"> 
<font color="#999999">
Статус:
</font> <?=$status;?><br>
<img src="/css/img/orden_min.png" width="16" height="16">
<font color="#999999">
Орден:
</font> Без ордена<br>
<?
if($users['id'] == $user['id']){
?>
<img src="/css/img/exp.png"> 
<font color="#999999">
Опыт:
</font>
<?=$user['exp'];?> / <?=$user_level[$user['level']];?><br>
<img src="/css/img/gold.png"> 
<font color="#999999">
Золото: 
</font>
<?=$user['gold'];?><br>
<img src="/css/img/silver.png"> 
<font color="#999999">
Серебро: 
</font>
<?=$user['silver'];?><br>
<img src="/css/img/diamond.png"> 
<font color="#999999">
Алмазы: 
</font>
<?=$user['diamond'];?><br>
<?
}
?>

<?
if($users['otvar_power'] > time()){
?>
<img src="/css/img/otvar/1.png" width="16" height="16"> <font color="<?=$color[$users['otvar_power_type']];?>">
Отвар силы</font> - <font color="#666666"><?=timer($users['otvar_power']);?></font><br>
<?
}
?>

<?
if($users['otvar_def'] > time()){
?>
<img src="/css/img/otvar/2.png" width="16" height="16"> <font color="<?=$color[$users['otvar_def_type']];?>">
Отвар защиты</font> - <font color="#666666"><?=timer($users['otvar_def']);?></font><br>
<?
}
?>

<?
if($users['otvar_hp'] > time()){
?>
<img src="/css/img/otvar/3.png" width="16" height="16"> <font color="<?=$color[$users['otvar_hp_type']];?>">
Отвар здоровья</font> - <font color="#666666"><?=timer($users['otvar_hp']);?></font><br>
<?
}
?>

<?
if($users['otvar_exp'] > time()){
?>
<img src="/css/img/otvar/4.png" width="16" height="16"> <font color="<?=$color[$users['otvar_exp_type']];?>">
Отвар удачи</font> - <font color="#666666"><?=timer($users['otvar_exp']);?></font><br>
<?
}
?>

<?
if($users['swit_power'] > time()){
?>
<img src="/css/img/swit/1.png" width="16" height="16"> <font color="<?=$color[1];?>">Свиток силы</font> - <font color="#666666"><?=timer($users['swit_power']);?></font><br>
<?
}
?>

<?
if($users['swit_def'] > time()){
?>
<img src="/css/img/swit/2.png" width="16" height="16"> <font color="<?=$color[1];?>">Свиток защиты</font> - <font color="#666666"><?=timer($users['swit_def']);?></font><br>
<?
}
?>

<?
if($users['swit_hp'] > time()){
?>
<img src="/css/img/swit/3.png" width="16" height="16"> <font color="<?=$color[1];?>">Свиток здоровья</font> - <font color="#666666"><?=timer($users['swit_hp']);?></font><br>
<?
}
?>

<?
if($users['swit_exp'] > time()){
?>
<img src="/css/img/swit/4.png" width="16" height="16"> <font color="<?=$color[1];?>">Свиток удачи</font> - <font color="#666666"><?=timer($users['swit_exp']);?></font><br>
<?
}
?>

<?
if($users['premium'] > time()){
?>
<img src="/css/img/vip/<?=$users['premium_type'];?>.png" width="16" height="16"> <font color="<?=$color[$users['premium_type']];?>"><?=$pr[$users['premium_type']];?> премиум</font> - <font color="#666666"><?=timer($users['premium']);?></font><br>
<?
}
?>

<?
if($users['yad'] > time()){
?>
<img src="/css/img/yad.png" width="16" height="16"> <font color="<?=$color[5];?>">Отравление ядом</font> - <font color="#666666"><?=timer($users['yad']);?></font><br>
<?
}
?>
<?
if($users['ban_time'] > time()){
?>
<font color="<?=$color[5];?>">
Игрок забанен
</font> - <a href="?my_ban">[Подробнее]</a>
<?
if($user['adm'] >= 2){
?>
<span style="float: right;"><a href="?end_ban">[Снять бан]</a></span>
<?
}
?> 
<br>
<?
}
?> 
</div></div>


<div class="start">
<a href="/item/?id=<?=$users['id'];?>"><div class="menu-not2"><img src="/css/img/item.png" width="16" height="16"> Снаряжение (<?=$count_item;?>/8)</div></a>
<a href="/medal/?id=<?=$users['id'];?>"><div class="menu-not2"><img src="/css/img/medal_1.png" width="16" height="16">
		<?
$sql = DB::$dbs->query("SELECT * FROM `medal_user` WHERE `id_user` = '".$user['id']."' AND `coll` >= `max_coll` ORDER BY `id` DESC LIMIT 1");
//
?>
<font color="#bfb5ba">
<?
foreach ($sql as $sqlls => $im){
if($im['coll'] >= $im['max_coll'] && $users['id'] == $user['id']){   
echo ' <font color="#32cd32">';
}
}
?>
Достижения</font></font> (<?=$count_medal_yes;?>/<?=$count_medal;?>)</div></a>
<?
if($users['id'] != $user['id']){
?>
<a href="/mail/?id=<?=$users['id'];?>"><div class="menu-not2"><img src="/css/img/mail.png" width="16" height="16"> Написать сообщение</div></a>
<a href="/gift/?id=<?=$users['id'];?>&go_gift"><div class="menu-not2"><img src="/css/img/gift/16.png" width="16" height="16"> Отправить подарок</div></a>
<?
if($users['yad'] > time()){
?>
<a href="?yad_not"><div class="menu-not2"><font color="<?=$color[1];?>"><img src="/css/img/help_us.png" width="16" height="16"> Вылечить за 5 <img src="/css/img/gold.png"></font></div></a>
<?
}else{
?>
<a href="?yad"><div class="menu-not2"><font color="tomato"><img src="/css/img/help_us.png" width="16" height="16"> Отравить за 5 <img src="/css/img/gold.png"></font></div></a>
<?
}
?>
<?
}else{
?>
<?/*<a href="/collection/"><div class="menu-not2"><img src="/css/img/collection.png" width="16" height="16"> Коллекции</div></a>*/?>
<a href="/mail_contact/"><div class="menu-not2"><img src="/css/img/mail.png" width="16" height="16"> Моя почта</div></a>
<a href="/bag/"><div class="menu-not2"><img src="/css/img/bag.png" width="16" height="16"> Рюкзак (<?=$count_bag;?>/30)</div></a>
<?
}
?>
<?
//
//
if($user['adm'] == 2){
?>
<div class="stats2"></div>
<center><a href="/ban/?id=<?=$users['id'];?>">Забанить игрока</a> - <a href="/admin/">Панель управления</a></center>
<?
}
//
//
?>
</div>

<div class="start">
<a href="/rating_liga/?type=<?=$users['liga_type'];?>">
<div class="menu-us">
<img src="/css/img/liga/<?=$users['liga_type'];?>.png" width="18" height="18">
<font color="<?=$color[$users['liga_type']];?>">Лига <?=$liga_type[$users['liga_type']];?></font>
<span style="float: right;"><?=$users['liga_coll'];?> <img src="/css/img/liga/rating.png" width="16" height="16"></span>
<br>
<font color="<?=$color[3];?>">
Бонус к опыту и серебру: 
</font>
+<?=$liga_bonus[$users['liga_type']];?>
</div>
</a>
</div>

<?
//
//
foot([]);
//
//
?>